Sets the subscription policy on the entitlement.
POST
/api/v1/provision/admin/entitlements/{entitlementId}/policies/subscription
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policies/subscription';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"renewPeriod":"example","renewInterval":1,"cannotActivateBeforeTimestamp":"2026-04-15T12:00:00Z","notValidAfterTimestamp":"2026-04-15T12:00:00Z","isSubscriptionActive":true,"subscriptionPeriodsLeft":1,"softEnforcement":true,"nextRenewalTimeStamp":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policies/subscription \ --header 'Content-Type: application/json' \ --data '{ "renewPeriod": "example", "renewInterval": 1, "cannotActivateBeforeTimestamp": "2026-04-15T12:00:00Z", "notValidAfterTimestamp": "2026-04-15T12:00:00Z", "isSubscriptionActive": true, "subscriptionPeriodsLeft": 1, "softEnforcement": true, "nextRenewalTimeStamp": "2026-04-15T12:00:00Z" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” entitlementId
required
string format: uuid
Target entitlement.
Request Body required
Section titled “Request Body required ”Policy payload.
object
renewPeriod
string
renewInterval
integer | string format: int32
cannotActivateBeforeTimestamp
null | string format: date-time
notValidAfterTimestamp
null | string format: date-time
isSubscriptionActive
boolean
subscriptionPeriodsLeft
integer | string format: int32
softEnforcement
boolean
nextRenewalTimeStamp
string format: date-time
Example generated
{ "renewPeriod": "example", "renewInterval": 1, "cannotActivateBeforeTimestamp": "2026-04-15T12:00:00Z", "notValidAfterTimestamp": "2026-04-15T12:00:00Z", "isSubscriptionActive": true, "subscriptionPeriodsLeft": 1, "softEnforcement": true, "nextRenewalTimeStamp": "2026-04-15T12:00:00Z"}object
renewPeriod
string
renewInterval
integer | string format: int32
cannotActivateBeforeTimestamp
null | string format: date-time
notValidAfterTimestamp
null | string format: date-time
isSubscriptionActive
boolean
subscriptionPeriodsLeft
integer | string format: int32
softEnforcement
boolean
nextRenewalTimeStamp
string format: date-time
Example generated
{ "renewPeriod": "example", "renewInterval": 1, "cannotActivateBeforeTimestamp": "2026-04-15T12:00:00Z", "notValidAfterTimestamp": "2026-04-15T12:00:00Z", "isSubscriptionActive": true, "subscriptionPeriodsLeft": 1, "softEnforcement": true, "nextRenewalTimeStamp": "2026-04-15T12:00:00Z"}object
renewPeriod
string
renewInterval
integer | string format: int32
cannotActivateBeforeTimestamp
null | string format: date-time
notValidAfterTimestamp
null | string format: date-time
isSubscriptionActive
boolean
subscriptionPeriodsLeft
integer | string format: int32
softEnforcement
boolean
nextRenewalTimeStamp
string format: date-time
Example generated
{ "renewPeriod": "example", "renewInterval": 1, "cannotActivateBeforeTimestamp": "2026-04-15T12:00:00Z", "notValidAfterTimestamp": "2026-04-15T12:00:00Z", "isSubscriptionActive": true, "subscriptionPeriodsLeft": 1, "softEnforcement": true, "nextRenewalTimeStamp": "2026-04-15T12:00:00Z"}Responses
Section titled “ Responses ”OK
Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}